添加指定项目中联合数据库实例和在线存档的所有私有端点。如果端点 ID 已存在且关联注释未更改,则 Atlas Data Federation 不会更改端点 ID 列表。如果端点 ID 已存在且关联注释发生更改,则 Atlas Data Federation 仅更新端点 ID 列表中的注释值。如果端点 ID 不存在,Atlas Data Federation 会将新端点附加到端点 ID 列表中的端点列表中。每个区域都有每个区域中各种端点的关联服务名称。
us-east-1 是 com.amazonaws.vpce.us-east-1.vpce-svc-00e311695874992b4。
us-west-1 是 com.amazonaws.vpce.us-west-2.vpce-svc-09d86b19e59d1b4bb。
eu-west-1 是 com.amazonaws.vpce.eu-west-1.vpce-svc-0824460b72e1a420e。
eu-west-2 是 com.amazonaws.vpce.eu-west-2.vpce-svc-052f1840aa0c4f1f9。
eu-central-1 是 com.amazonaws.vpce.eu-central-1.vpce-svc-0ac8ce91871138c0d。
sa-east-1 是 com.amazonaws.vpce.sa-east-1.vpce-svc-0b56e75e8cdf50044。
ap-southeast-2 是 com.amazonaws.vpce.ap-southeast-2.vpce-svc-036f1de74d761706e。
ap-south-1 是 com.amazonaws.vpce.ap-south-1.vpce-svc-03eb8a541f96d356d。
用于标识项目的唯一 24-十六进制数字字符串。 使用 /groups 端点检索身份验证的用户有权访问权限的所有项目。
注意:群组和项目是同义词。您的群组 ID 与项目 ID 相同。对于现有群组,群组/项目 ID 保持不变。资源和相应的端点使用“群组”一词。
格式应符合以下模式:^([a-f0-9]{24})$。
指示应用程序是否将响应包装在envelope JSON 对象中的标志。某些 API 客户端无法访问 HTTP 响应标头或状态代码。要修复此问题,请在查询中设置 Envelope=true。返回结果列表的端点将结果对象用作 envelope。应用程序将状态参数添加到响应正文中。
默认值为false 。
指示响应正文是否应采用 prettyprint 格式的标记。
默认值为false 。
用于将联合数据库实例和在线存档添加到指定项目的私有端点。
标识Azure私有端点连接的链接ID 。
与此私有端点关联的人类可读字符串。
人类可读标签,用于识别客户的VPC端点 DNS 名称。如果已定义,还必须为 region 指定一个值。
用于连接到Azure私有端点的IP解决。
格式应符合以下模式:^((25[0-5]|(2[0-4]|1\d|[1-9]|)\d)(\.(?!$)|$)){4}|([0-9a-f]{1,4}:){7}[0-9a-f]{1,4}$。
标识私有端点的唯一字符串。对于 AWS,这是一个 22 字符的字母数字字符串,格式为 vpce-<17 hex characters>。对于Azure,这是 /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateEndpoints/{endpointName} 格式的完整资源ID 。
描述批准私有端点请求失败的错误消息。
用于标识云服务提供商的人类可读标签。Atlas Data Lake支持Amazon Web Services和Azure。
值为 AWS 或 AZURE。默认值为 AWS。
用于标识客户VPC终结点区域的人类可读标签。如果已定义,还必须为 customerEndpointDNSName 指定一个值。
私有端点连接请求的状态。
取值为 PENDING、OK、FAILED 或 DELETING。
用户可读的标签,用于标识与此私有端点关联的资源类型。
值为 DATA_LAKE。默认值为 DATA_LAKE。
curl \
--request POST 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/privateNetworkSettings/endpointIds' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"azureLinkId": "string",
"comment": "string",
"customerEndpointDNSName": "string",
"customerEndpointIPAddress": "string",
"endpointId": "string",
"errorMessage": "string",
"provider": "AWS",
"region": "US_EAST_1",
"status": "PENDING",
"type": "DATA_LAKE"
}'
{
"azureLinkId": "string",
"comment": "string",
"customerEndpointDNSName": "string",
"customerEndpointIPAddress": "string",
"endpointId": "string",
"errorMessage": "string",
"provider": "AWS",
"region": "US_EAST_1",
"status": "PENDING",
"type": "DATA_LAKE"
}
{
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"results": [
{
"azureLinkId": "string",
"comment": "string",
"customerEndpointDNSName": "string",
"customerEndpointIPAddress": "string",
"endpointId": "string",
"errorMessage": "string",
"provider": "AWS",
"region": "US_EAST_1",
"status": "PENDING",
"type": "DATA_LAKE"
}
],
"totalCount": 42
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}